nav{
position:relative;
display:flex;
align-items:center;
justify-content:center;
height:110px;
padding:0 40px;
backdrop-filter:blur(10px);
-webkit-backdrop-filter:blur(10px);
width:100vw;
}

.logo-left{
position:absolute;
left:40px;
top:50%;
transform:translateY(-50%);
}

.logo-left img{
height:90px;
}

.menu{
display:flex;
gap:95px;
font-size:18px;
letter-spacing:.08em;
font-weight:500;
}

.menu a{
color:#dbeaff;
text-decoration:none;
transition:color .25s ease, text-shadow .25s ease;
}

.menu a:hover{
color:white;
text-shadow:0 0 14px rgba(255,255,255,.45);
}

.dropdown{
position:relative;
padding-bottom:35px;
}

.dropdown-content{
position:absolute;
top:35px;
left:50%;
transform:translateX(-50%);
background:rgba(255,255,255,0.08);
backdrop-filter:blur(12px);
border-radius:14px;
padding:10px 0;
display:none;
min-width:220px;
box-shadow:
0 10px 30px rgba(0,0,0,.25),
0 0 60px rgba(120,190,255,.15);
}

.dropdown-content a{
display:block;
padding:10px 18px;
color:#dbeaff;
text-decoration:none;
font-size:16px;
transition:.2s;
white-space:nowrap;
}

.dropdown-content a:hover{
color:white;
background:rgba(255,255,255,.08);
}

.dropdown:hover .dropdown-content{
display:block;
}